pFormula {plm} | R Documentation

## pFormula: An extended Formula interface for panel data

### Description

pFormula is a Formula object, with methods useful for panel data.

### Usage

    pFormula(object)
    ## S3 method for class 'pFormula'
    as.Formula(x, ...)
    ## S3 method for class 'pFormula'
    model.frame(formula, data, ...,
                                     lhs = NULL, rhs = NULL)
    ## S3 method for class 'pFormula'
    model.matrix(object, data,
                                      model = c("pooling","within","Between",
      "between","mean","random","fd"),
                                      effect = c("individual","time","twoways"),
                                      rhs = 1,
                                      theta = NULL, ...)

### Arguments

`object, formula, x` | an object of class `"pFormula"`,
`data` | a `data.frame`,
`effect` | the effects introduced in the model, one of `"individual"`, `"time"` or `"twoways"`,
`model` | one of `"pooling"`, `"within"`, `"between"`, `"random",` `"fd"` and `"ht"`,
`theta` | the parameter for the transformation if `model = "random"`,
`lhs` | ,
`rhs` | ,
`...` | further arguments.

### Details

The `lhs` and `rhs` arguments are inherited from `Formula`. The `model.frame` method returns a `pdata.frame` object. The `model.matrix` unables the transformation specified by the `model` and `effect` arguments.

### Value

An object of class `c("pFormula", "Formula"`.

### Author(s)

Yves Croissant

[Package plm version 1.5-12 Index]